import type {
	RESTPostAPIInteractionCallbackJSONBody,
	RESTPostAPIInteractionCallbackQuery,
	RESTPostAPIInteractionCallbackResult,
} from '../../types';
import type { ProxyRequestMethod } from '../Router';
import type { RestArguments } from '../api';

export interface InteractionRoutes {
	interactions: (id: string) => (token: string) => {
		callback: {
			post(
				args: RestArguments<
					ProxyRequestMethod.Post,
					RESTPostAPIInteractionCallbackJSONBody,
					RESTPostAPIInteractionCallbackQuery
				>,
			): Promise<RESTPostAPIInteractionCallbackResult | undefined>;
		};
	};
}
